cudaDeviceProp
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaDeviceProp

    java.lang.Object
      jcuda.runtime.cudaDeviceProp

    public class cudaDeviceProp

extends java.lang.Object

Java port of the cudaDeviceProp.
Most comments are taken from the CUDA reference manual.

See Also:
  `JCuda.cudaGetDeviceProperties(jcuda.runtime.cudaDeviceProp, int)`

Field Summary
`int` | `canMapHostMemory` Device can map host memory with cudaHostAlloc/cudaHostGetDevicePointer
`int` | `clockRate` The clock frequency in kilohertz;
`int` | `computeMode` Compute mode (See cudaComputeMode)
`int` | `concurrentKernels` Device can possibly execute multiple kernels concurrently
`int` | `deviceOverlap` 1 if the device can concurrently copy memory between host and device while executing a kernel, or 0 if not;
`int` | `integrated` Device is integrated as opposed to discrete
`int` | `kernelExecTimeoutEnabled` Specified whether there is a run time limit on kernels
`int` | `major` Major revision number defining the device's compute capability;
`int[]` | `maxGridSize` The maximum sizes of each dimension of a grid;
`int` | `maxTexture1D` Maximum 1D texture size
`int[]` | `maxTexture2D` Maximum 2D texture dimensions
`int[]` | `maxTexture2DArray` Maximum 2D texture array dimensions
`int[]` | `maxTexture3D` Maximum 3D texture dimensions
`int[]` | `maxThreadsDim` The maximum sizes of each dimension of a block;
`int` | `maxThreadsPerBlock` The maximum number of threads per block;
`long` | `memPitch` The maximum pitch in bytes allowed by the memory copy functions that involve memory regions allocated through cudaMallocPitch();
`int` | `minor` Minor revision number defining the device's compute capability;
`int` | `multiProcessorCount` The number of multiprocessors on the device.
`byte[]` | `name` An ASCII string identifying the device;
`int` | `regsPerBlock` The maximum number of 32-bit registers available to a thread block; this number is shared by all thread blocks simultaneously resident on a multiprocessor;
`long` | `sharedMemPerBlock` The maximum amount of shared memory available to a thread block in bytes; this amount is shared by all thread blocks simultaneously resident on a multiprocessor;
`long` | `textureAlignment` The alignment requirement; texture base addresses that are aligned to textureAlignment bytes do not need an offset applied to texture fetches;
`long` | `totalConstMem` The total amount of constant memory available on the device in bytes;
`long` | `totalGlobalMem` The total amount of global memory available on the device in bytes;
`int` | `warpSize` The warp size in threads;

Constructor Summary
`cudaDeviceProp()` Creates a new, uninitialized cudaDeviceProp object

Method Summary
`java.lang.String` | `getName()` Returns the String describing the name of this cudaDeviceProp
`void` | `setName(java.lang.String nameString)` Set the name of this cudaDeviceProp to the given name
`java.lang.String` | `toFormattedString()` Creates and returns a formatted (aligned, multi-line) String representation of this object
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public byte[] name

  An ASCII string identifying the device;

### totalGlobalMem

    public long totalGlobalMem

  The total amount of global memory available on the device in bytes;

### sharedMemPerBlock

    public long sharedMemPerBlock

  The maximum amount of shared memory available to a thread block in bytes; this amount is shared by all thread blocks simultaneously resident on a multiprocessor;

### regsPerBlock

    public int regsPerBlock

  The maximum number of 32-bit registers available to a thread block; this number is shared by all thread blocks simultaneously resident on a multiprocessor;

### warpSize

    public int warpSize

  The warp size in threads;

### memPitch

    public long memPitch

  The maximum pitch in bytes allowed by the memory copy functions that involve memory regions allocated through cudaMallocPitch();

### maxThreadsPerBlock

    public int maxThreadsPerBlock

  The maximum number of threads per block;

### maxThreadsDim

    public int[] maxThreadsDim

  The maximum sizes of each dimension of a block;

### maxGridSize

    public int[] maxGridSize

  The maximum sizes of each dimension of a grid;

### clockRate

    public int clockRate

  The clock frequency in kilohertz;

### totalConstMem

    public long totalConstMem

  The total amount of constant memory available on the device in bytes;

### major

    public int major

  Major revision number defining the device's compute capability;

### minor

    public int minor

  Minor revision number defining the device's compute capability;

### textureAlignment

    public long textureAlignment

  The alignment requirement; texture base addresses that are aligned to textureAlignment bytes do not need an offset applied to texture fetches;

### deviceOverlap

    public int deviceOverlap

  1 if the device can concurrently copy memory between host and device while executing a kernel, or 0 if not;

### multiProcessorCount

    public int multiProcessorCount

  The number of multiprocessors on the device.

### kernelExecTimeoutEnabled

    public int kernelExecTimeoutEnabled

  Specified whether there is a run time limit on kernels

### integrated

    public int integrated

  Device is integrated as opposed to discrete

### canMapHostMemory

    public int canMapHostMemory

  Device can map host memory with cudaHostAlloc/cudaHostGetDevicePointer

### computeMode

    public int computeMode

  Compute mode (See cudaComputeMode)

### maxTexture1D

    public int maxTexture1D

  Maximum 1D texture size

### maxTexture2D

    public int[] maxTexture2D

  Maximum 2D texture dimensions

### maxTexture3D

    public int[] maxTexture3D

  Maximum 3D texture dimensions

### maxTexture2DArray

    public int[] maxTexture2DArray

  Maximum 2D texture array dimensions

### concurrentKernels

    public int concurrentKernels

  Device can possibly execute multiple kernels concurrently

Constructor Detail

### cudaDeviceProp

    public cudaDeviceProp()

  Creates a new, uninitialized cudaDeviceProp object

Method Detail

### getName

    public java.lang.String getName()

  Returns the String describing the name of this cudaDeviceProp

  Returns:
    String The String describing the name of this cudaDeviceProp

### setName

    public void setName(java.lang.String nameString)

  Set the name of this cudaDeviceProp to the given name

  Parameters:
    `nameString` - The name for this cudaDeviceProp

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

### toFormattedString

    public java.lang.String toFormattedString()

  Creates and returns a formatted (aligned, multi-line) String representation of this object

  Returns:
    A formatted String representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD